Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl
Class RimFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.ohf.ihe.common.ebxml._2._1.rim.impl.RimFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, RimFactory

    public class RimFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements RimFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rim.RimFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`RimFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` | `convertEventTypeTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertEventTypeTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertFreeFormTextToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertLongNameToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertNodeTypeTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertNodeTypeTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertShortNameToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertStabilityTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertStabilityTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertStatusTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertStatusTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertString16ToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertString32ToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertString4ToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertString8ToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
`AssociationType1` | `createAssociationType1()`
`AuditableEventType` | `createAuditableEventType()`
`ClassificationNodeType` | `createClassificationNodeType()`
`ClassificationSchemeType` | `createClassificationSchemeType()`
`ClassificationType` | `createClassificationType()`
`DocumentRoot` | `createDocumentRoot()`
`EmailAddressType` | `createEmailAddressType()`
`EventTypeType` | `createEventTypeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`EventTypeType` | `createEventTypeTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ExternalIdentifierType` | `createExternalIdentifierType()`
`ExternalLinkType` | `createExternalLinkType()`
`ExtrinsicObjectType` | `createExtrinsicObjectType()`
`java.lang.String` | `createFreeFormTextFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.Object` | `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`InternationalStringType` | `createInternationalStringType()`
`LeafRegistryObjectListType` | `createLeafRegistryObjectListType()`
`LocalizedStringType` | `createLocalizedStringType()`
`java.lang.String` | `createLongNameFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`NodeTypeType` | `createNodeTypeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`NodeTypeType` | `createNodeTypeTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ObjectRefListType` | `createObjectRefListType()`
`ObjectRefType` | `createObjectRefType()`
`OrganizationType` | `createOrganizationType()`
`PersonNameType` | `createPersonNameType()`
`PostalAddressType` | `createPostalAddressType()`
`RegistryEntryType` | `createRegistryEntryType()`
`RegistryObjectListType` | `createRegistryObjectListType()`
`RegistryObjectType` | `createRegistryObjectType()`
`RegistryPackageType` | `createRegistryPackageType()`
`ServiceBindingType` | `createServiceBindingType()`
`ServiceType` | `createServiceType()`
`java.lang.String` | `createShortNameFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SlotType1` | `createSlotType1()`
`SpecificationLinkType` | `createSpecificationLinkType()`
`StabilityType` | `createStabilityTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`StabilityType` | `createStabilityTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`StatusType` | `createStatusTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`StatusType` | `createStatusTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` | `createString16FromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` | `createString32FromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` | `createString4FromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` | `createString8FromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`TelephoneNumberListType` | `createTelephoneNumberListType()`
`TelephoneNumberType` | `createTelephoneNumberType()`
`UserType` | `createUserType()`
`ValueListType` | `createValueListType()`
`static RimPackage` | `getPackage()` Deprecated.
`RimPackage` | `getRimPackage()`
`static RimFactory` | `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicSetEPackage, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getEPackage, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### RimFactoryImpl

    public RimFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static RimFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createAssociationType1

    public AssociationType1 createAssociationType1()

  Specified by:
    `createAssociationType1` in interface `RimFactory`
  Returns:
    a new object of class 'Association Type1'.

### createAuditableEventType

    public AuditableEventType createAuditableEventType()

  Specified by:
    `createAuditableEventType` in interface `RimFactory`
  Returns:
    a new object of class 'Auditable Event Type'.

### createClassificationNodeType

    public ClassificationNodeType createClassificationNodeType()

  Specified by:
    `createClassificationNodeType` in interface `RimFactory`
  Returns:
    a new object of class 'Classification Node Type'.

### createClassificationSchemeType

    public ClassificationSchemeType createClassificationSchemeType()

  Specified by:
    `createClassificationSchemeType` in interface `RimFactory`
  Returns:
    a new object of class 'Classification Scheme Type'.

### createClassificationType

    public ClassificationType createClassificationType()

  Specified by:
    `createClassificationType` in interface `RimFactory`
  Returns:
    a new object of class 'Classification Type'.

### createDocumentRoot

    public DocumentRoot createDocumentRoot()

  Specified by:
    `createDocumentRoot` in interface `RimFactory`
  Returns:
    a new object of class 'Document Root'.

### createEmailAddressType

    public EmailAddressType createEmailAddressType()

  Specified by:
    `createEmailAddressType` in interface `RimFactory`
  Returns:
    a new object of class 'Email Address Type'.

### createExternalIdentifierType

    public ExternalIdentifierType createExternalIdentifierType()

  Specified by:
    `createExternalIdentifierType` in interface `RimFactory`
  Returns:
    a new object of class 'External Identifier Type'.

### createExternalLinkType

    public ExternalLinkType createExternalLinkType()

  Specified by:
    `createExternalLinkType` in interface `RimFactory`
  Returns:
    a new object of class 'External Link Type'.

### createExtrinsicObjectType

    public ExtrinsicObjectType createExtrinsicObjectType()

  Specified by:
    `createExtrinsicObjectType` in interface `RimFactory`
  Returns:
    a new object of class 'Extrinsic Object Type'.

### createInternationalStringType

    public InternationalStringType createInternationalStringType()

  Specified by:
    `createInternationalStringType` in interface `RimFactory`
  Returns:
    a new object of class 'International String Type'.

### createLeafRegistryObjectListType

    public LeafRegistryObjectListType createLeafRegistryObjectListType()

  Specified by:
    `createLeafRegistryObjectListType` in interface `RimFactory`
  Returns:
    a new object of class 'Leaf Registry Object List Type'.

### createLocalizedStringType

    public LocalizedStringType createLocalizedStringType()

  Specified by:
    `createLocalizedStringType` in interface `RimFactory`
  Returns:
    a new object of class 'Localized String Type'.

### createObjectRefListType

    public ObjectRefListType createObjectRefListType()

  Specified by:
    `createObjectRefListType` in interface `RimFactory`
  Returns:
    a new object of class 'Object Ref List Type'.

### createObjectRefType

    public ObjectRefType createObjectRefType()

  Specified by:
    `createObjectRefType` in interface `RimFactory`
  Returns:
    a new object of class 'Object Ref Type'.

### createOrganizationType

    public OrganizationType createOrganizationType()

  Specified by:
    `createOrganizationType` in interface `RimFactory`
  Returns:
    a new object of class 'Organization Type'.

### createPersonNameType

    public PersonNameType createPersonNameType()

  Specified by:
    `createPersonNameType` in interface `RimFactory`
  Returns:
    a new object of class 'Person Name Type'.

### createPostalAddressType

    public PostalAddressType createPostalAddressType()

  Specified by:
    `createPostalAddressType` in interface `RimFactory`
  Returns:
    a new object of class 'Postal Address Type'.

### createRegistryEntryType

    public RegistryEntryType createRegistryEntryType()

  Specified by:
    `createRegistryEntryType` in interface `RimFactory`
  Returns:
    a new object of class 'Registry Entry Type'.

### createRegistryObjectListType

    public RegistryObjectListType createRegistryObjectListType()

  Specified by:
    `createRegistryObjectListType` in interface `RimFactory`
  Returns:
    a new object of class 'Registry Object List Type'.

### createRegistryObjectType

    public RegistryObjectType createRegistryObjectType()

  Specified by:
    `createRegistryObjectType` in interface `RimFactory`
  Returns:
    a new object of class 'Registry Object Type'.

### createRegistryPackageType

    public RegistryPackageType createRegistryPackageType()

  Specified by:
    `createRegistryPackageType` in interface `RimFactory`
  Returns:
    a new object of class 'Registry Package Type'.

### createServiceBindingType

    public ServiceBindingType createServiceBindingType()

  Specified by:
    `createServiceBindingType` in interface `RimFactory`
  Returns:
    a new object of class 'Service Binding Type'.

### createServiceType

    public ServiceType createServiceType()

  Specified by:
    `createServiceType` in interface `RimFactory`
  Returns:
    a new object of class 'Service Type'.

### createSlotType1

    public SlotType1 createSlotType1()

  Specified by:
    `createSlotType1` in interface `RimFactory`
  Returns:
    a new object of class 'Slot Type1'.

### createSpecificationLinkType

    public SpecificationLinkType createSpecificationLinkType()

  Specified by:
    `createSpecificationLinkType` in interface `RimFactory`
  Returns:
    a new object of class 'Specification Link Type'.

### createTelephoneNumberListType

    public TelephoneNumberListType createTelephoneNumberListType()

  Specified by:
    `createTelephoneNumberListType` in interface `RimFactory`
  Returns:
    a new object of class 'Telephone Number List Type'.

### createTelephoneNumberType

    public TelephoneNumberType createTelephoneNumberType()

  Specified by:
    `createTelephoneNumberType` in interface `RimFactory`
  Returns:
    a new object of class 'Telephone Number Type'.

### createUserType

    public UserType createUserType()

  Specified by:
    `createUserType` in interface `RimFactory`
  Returns:
    a new object of class 'User Type'.

### createValueListType

    public ValueListType createValueListType()

  Specified by:
    `createValueListType` in interface `RimFactory`
  Returns:
    a new object of class 'Value List Type'.

### createEventTypeTypeFromString

    public EventTypeType createEventTypeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.String initialValue)

### convertEventTypeTypeToString

    public java.lang.String convertEventTypeTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.Object instanceValue)

### createNodeTypeTypeFromString

    public NodeTypeType createNodeTypeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.String initialValue)

### convertNodeTypeTypeToString

    public java.lang.String convertNodeTypeTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                        java.lang.Object instanceValue)

### createStabilityTypeFromString

    public StabilityType createStabilityTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.String initialValue)

### convertStabilityTypeToString

    public java.lang.String convertStabilityTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.Object instanceValue)

### createStatusTypeFromString

    public StatusType createStatusTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                 java.lang.String initialValue)

### convertStatusTypeToString

    public java.lang.String convertStatusTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                      java.lang.Object instanceValue)

### createEventTypeTypeObjectFromString

    public EventTypeType createEventTypeTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.String initialValue)

### convertEventTypeTypeObjectToString

    public java.lang.String convertEventTypeTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.Object instanceValue)

### createFreeFormTextFromString

    public java.lang.String createFreeFormTextFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

### convertFreeFormTextToString

    public java.lang.String convertFreeFormTextToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                        java.lang.Object instanceValue)

### createLongNameFromString

    public java.lang.String createLongNameFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.String initialValue)

### convertLongNameToString

    public java.lang.String convertLongNameToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                    java.lang.Object instanceValue)

### createNodeTypeTypeObjectFromString

    public NodeTypeType createNodeTypeTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                           java.lang.String initialValue)

### convertNodeTypeTypeObjectToString

    public java.lang.String convertNodeTypeTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                              java.lang.Object instanceValue)

### createShortNameFromString

    public java.lang.String createShortNameFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                      java.lang.String initialValue)

### convertShortNameToString

    public java.lang.String convertShortNameToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.Object instanceValue)

### createStabilityTypeObjectFromString

    public StabilityType createStabilityTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.String initialValue)

### convertStabilityTypeObjectToString

    public java.lang.String convertStabilityTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.Object instanceValue)

### createStatusTypeObjectFromString

    public StatusType createStatusTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.String initialValue)

### convertStatusTypeObjectToString

    public java.lang.String convertStatusTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                            java.lang.Object instanceValue)

### createString16FromString

    public java.lang.String createString16FromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.String initialValue)

### convertString16ToString

    public java.lang.String convertString16ToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                    java.lang.Object instanceValue)

### createString32FromString

    public java.lang.String createString32FromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.String initialValue)

### convertString32ToString

    public java.lang.String convertString32ToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                    java.lang.Object instanceValue)

### createString4FromString

    public java.lang.String createString4FromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                    java.lang.String initialValue)

### convertString4ToString

    public java.lang.String convertString4ToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.Object instanceValue)

### createString8FromString

    public java.lang.String createString8FromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                    java.lang.String initialValue)

### convertString8ToString

    public java.lang.String convertString8ToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.Object instanceValue)

### getRimPackage

    public RimPackage getRimPackage()

  Specified by:
    `getRimPackage` in interface `RimFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static RimPackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD